CentOS und PHP5.3 update

Bash, Shell, PHP, Python, Perl, CGI
techneo
Posts: 146
Joined: 2002-08-31 17:32
Location: Berlin

CentOS und PHP5.3 update

Post by techneo »

Hallo

ich habe überall gesucht, aber leider nichts gefunden wie man unter CentOS das neue PHP 5.3 geupdatet bekommt.
Kann mir jemand Tip und Hilfen geben. Zurzeit habe ich PHP 5.1.6 und für CEntOS gibt es noch kein aktuelles Package!
Somit muss es manuell gemacht werden nur wie, ich bin da nicht so bewant!

LG und besten Dank schon mal...
User avatar
daemotron
Administrator
Administrator
Posts: 2639
Joined: 2004-01-21 17:44

Re: CentOS und PHP5.3 update

Post by daemotron »

5.3 wurde noch gar nicht released... aktuell ist 5.2.9 - was erwartest Du da für Packages?
“Some humans would do anything to see if it was possible to do it. If you put a large switch in some cave somewhere, with a sign on it saying 'End-of-the-World Switch. PLEASE DO NOT TOUCH', the paint wouldn't even have time to dry.” — Terry Pratchett, Thief of Time
Roger Wilco
Posts: 5923
Joined: 2004-05-23 12:53

Re: CentOS und PHP5.3 update

Post by Roger Wilco »

http://www.atomicorp.com/channels/atomic/centos/

Dieses Repository hinzufügen und glücklich sein. Und du bist dir selbstverständlich über die potentiellen Gefahren von 3rd Party Repositories im Klaren.
techneo
Posts: 146
Joined: 2002-08-31 17:32
Location: Berlin

Re: CentOS und PHP5.3 update

Post by techneo »

So ich habe mir mal den Link angeschaut, wäre super klasse,
wenn Ihr mir mal erklären könntet, was ich da machen muß und was das für mich Wichtig ist und bedeutet?

LG
techneo
Posts: 146
Joined: 2002-08-31 17:32
Location: Berlin

Re: CentOS und PHP5.3 update

Post by techneo »

was ist damit gemeint? Wo soll ich das eintragen?

Code: Select all

Manual Configuration: CentOS / RHEL

[atomic]
name=Atomic Rocket Turtle - $releasever - Atomic PSA-Compatible RPMS
baseurl=http://www.atomicorp.com/channels/atomic/centos/$releasever/$basearch

[plesk]
name=Plesk Server Administrator
baseurl=http://www.atomicorp.com/channels/plesk/latest/centos/$releasever/$basearch
gpgcheck=0

Roger Wilco
Posts: 5923
Joined: 2004-05-23 12:53

Re: CentOS und PHP5.3 update

Post by Roger Wilco »

Probier es doch erst mit der automatischen Installation. Die manuelle Variante kannst du danach immer noch ausprobieren... :roll:
techneo
Posts: 146
Joined: 2002-08-31 17:32
Location: Berlin

Re: CentOS und PHP5.3 update

Post by techneo »

Habe nun php 5.2.9 drauf und ioncube ist auch aktiviert. Jetzt bekomme ich nun nicht den Zend Optimizer aktiviert!
Habe in der /etc/php.d/loaders.ini folgendes eingetragen:

zend_extension=/usr/lib64/php/modules/ioncube_loader_lin_5.2.so
zend_extension=/usr/lib64/php/modules/ZendOptimizer.so
zend_optimizer.optimization_level=15

Weis jemand Rat?
techneo
Posts: 146
Joined: 2002-08-31 17:32
Location: Berlin

Re: CentOS und PHP5.3 update

Post by techneo »

Kann mir keiner Helfen?

Also ich habe alles korrekt installiert und Konfiguriert wie es im Internet beschrieben ist, aber es geht noch nicht!

wenn ich php -v eingebe steht folgendes:

Code: Select all

php -v
PHP 5.2.9 (cli) (built: Mar 11 2009 08:22:06)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies
    with the ionCube PHP Loader v3.1.34, Copyright (c) 2002-2009, by ionCube Ltd., and
    with Zend Extension Manager v1.2.2, Copyright (c) 2003-2007, by Zend Technologies
    with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies
Wenn ich aber einen phpinfo.php in einen von Plesk 9 angelegten Domain einspiele bekomme ich nur diese Infos:

Code: Select all

This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.2.0, Copyright (c) 1998-2009 Zend Technologies
    with the ionCube PHP Loader v3.1.34, Copyright (c) 2002-2009, by ionCube Ltd.
Der Zendoptimizer und Manager werden dort nicht geladen...
Was kannst die Ursache sein?

LG
User avatar
Joe User
Project Manager
Project Manager
Posts: 11173
Joined: 2003-02-27 01:00
Location: Hamburg

Re: CentOS und PHP5.3 update

Post by Joe User »

Sind beide Module zueinander kompatibel? Sind beide Module 64Bit? Wurden beide php.ini korrekt angepasst? HTTPd neu gestartet? Logs?
PayPal.Me/JoeUserFreeBSD Remote Installation
Wings for LifeWings for Life World Run

„If there’s more than one possible outcome of a job or task, and one
of those outcomes will result in disaster or an undesirable consequence,
then somebody will do it that way.“ -- Edward Aloysius Murphy Jr.
techneo
Posts: 146
Joined: 2002-08-31 17:32
Location: Berlin

Re: CentOS und PHP5.3 update

Post by techneo »

- Kompatible denke ich schon, das es auch mein Windows Server auch geht! Bei php -v werden alle geladen nur auf die Domain nicht!
- Beide sind 64 Bit
- Habe doch nur eine php.ini im /etc/ Ordner / Wo soll denn noch eine sein? Habe Plesk 9 am laufen mit CentOS
- HTTPD mehrmals neu gestartet
- In den Log steht folgendes:

Code: Select all

[Sat Apr 18 13:58:45 2009] [notice] Graceful restart requested, doing restart
[Sat Apr 18 13:58:45 2009] [error] (9)Bad file descriptor: apr_socket_accept: (client socket)
[Sat Apr 18 13:58:45 2009] [error] (9)Bad file descriptor: apr_socket_accept: (client socket)
[Sat Apr 18 13:58:45 2009] [error] (9)Bad file descriptor: apr_socket_accept: (client socket)
Failed loading /usr/local/Zend/lib/ZendExtensionManager.so:  /usr/local/Zend/lib/ZendExtensionManager.so: cannot enable executable stack as shared object requires: Permission denied
[Sat Apr 18 13:58:46 2009] [notice] Digest: generating secret for digest authentication ...
[Sat Apr 18 13:58:46 2009] [notice] Digest: done